<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        // if (Auth::guard($guard)->check()) {
        //     return redirect('/home');
        // }
        switch ($guard) {
            case 'cs' :
                if (Auth::guard($guard)->check()) {
                    return redirect()->route('csHome');
                }
                break;
            case 'ms' :
                if (Auth::guard($guard)->check()) {
                    return redirect()->route('mHome');
                }
                break;
            case 'ds' :
                if (Auth::guard($guard)->check()) {
                    return redirect()->route('dHome');
                }
                break;
            case 'agent' :
                if (Auth::guard($guard)->check()) {
                    return redirect()->route('aHome');
                }
                break;
            default:
                if (Auth::guard($guard)->check()) {
                    return redirect()->route('home');
                }
                break;
        }
        return $next($request);
    }
}
